com.fasterxml.jackson.dataformat.ion

## Class IonFactoryBuilder

- java.lang.Object
- - com.fasterxml.jackson.core.TSFBuilder<IonFactory,IonFactoryBuilder>
  - - com.fasterxml.jackson.dataformat.ion.IonFactoryBuilder

-     public class IonFactoryBuilder
      extends com.fasterxml.jackson.core.TSFBuilder<IonFactory,IonFactoryBuilder>

  `TSFBuilder` implementation for constructing `IonFactory` instances.
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `_createBinaryWriters` Set of `IonFactory.Feature`s enabled, as bitmask.
    `protected com.amazon.ion.IonSystem` | `_system` If a custom `IonSystem` instance is needed, configured here; if left as `null`, will use: `IonSystemBuilder.standard().build()`

    - ### Fields inherited from class com.fasterxml.jackson.core.TSFBuilder

      `_factoryFeatures, _inputDecorator, _outputDecorator, _streamReadFeatures, _streamWriteFeatures, DEFAULT_FACTORY_FEATURE_FLAGS, DEFAULT_GENERATOR_FEATURE_FLAGS, DEFAULT_PARSER_FEATURE_FLAGS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IonFactoryBuilder(boolean createBinary)`
    `` | `IonFactoryBuilder(IonFactory base)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IonFactory` | `build()`
    `com.amazon.ion.IonSystem` | `ionSystem()`
    `IonFactoryBuilder` | `ionSystem(com.amazon.ion.IonSystem system)`
    `boolean` | `willCreateBinaryWriters()`
    `IonFactoryBuilder` | `withBinaryWriters()`
    `IonFactoryBuilder` | `withTextualWriters()`

    - ### Methods inherited from class com.fasterxml.jackson.core.TSFBuilder

      `_legacyDisable, _legacyDisable, _legacyEnable, _legacyEnable, _this, configure, configure, configure, configure, configure, disable, disable, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, enable, enable, factoryFeaturesMask, inputDecorator, inputDecorator, outputDecorator, outputDecorator, streamReadFeatures, streamWriteFeatures`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _system

          protected com.amazon.ion.IonSystem _system

      If a custom `IonSystem` instance is needed, configured here; if left as `null`, will use: `IonSystemBuilder.standard().build()`

    - #### _createBinaryWriters

          protected boolean _createBinaryWriters

      Set of `IonFactory.Feature`s enabled, as bitmask.

  - ### Constructor Detail

    - #### IonFactoryBuilder

          protected IonFactoryBuilder(boolean createBinary)

    - #### IonFactoryBuilder

          public IonFactoryBuilder(IonFactory base)

  - ### Method Detail

    - #### withBinaryWriters

          public IonFactoryBuilder withBinaryWriters()

    - #### withTextualWriters

          public IonFactoryBuilder withTextualWriters()

    - #### ionSystem

          public IonFactoryBuilder ionSystem(com.amazon.ion.IonSystem system)

    - #### willCreateBinaryWriters

          public boolean willCreateBinaryWriters()

    - #### ionSystem

          public com.amazon.ion.IonSystem ionSystem()

    - #### build

          public IonFactory build()

      Specified by:
        `build` in class `com.fasterxml.jackson.core.TSFBuilder<IonFactory,IonFactoryBuilder>`

Copyright © 2019 FasterXML. All rights reserved.